Skip to content

Most visited

Recently visited

navigation

Desain Bahan untuk Pengembang

Dependensi dan Prasyarat

  • Android 5.0 (API Level 21)

Desain bahan adalah panduan komprehensif untuk desain visual, gerak, dan interaksi di berbagai platform dan perangkat. Untuk menggunakan desain bahan di aplikasi Android, ikuti panduan yang dijelaskan dalam spesifikasi desain bahan dan gunakan komponen serta fungsionalitas baru yang tersedia di Android 5.0 (API level 21).

Kelas ini menampilkan kepada Anda cara membuat aplikasi desain bahan dengan elemen-elemen berikut:

Kelas ini juga mengajarkan cara mempertahankan kompatibilitas dengan versi Android sebelum 5.0 (API level 21) bila Anda menggunakan fitur desain bahan dalam aplikasi.

Pelajaran

Memulai
Pelajari cara memperbarui aplikasi Anda dengan fitur desain bahan.
Menggunakan Tema Bahan
Pelajari cara menerapkan gaya desain bahan pada aplikasi Anda.
Membuat Daftar dan Kartu
Pelajari cara membuat daftar dan kartu dengan tampilan dan cara kerja yang konsisten menggunakan widget sistem.
Mendefinisikan Bayangan dan Memangkas Tampilan
Pelajari cara mengatur elevasi tampilan Anda untuk membuat bayangan custom dan cara memangkas tampilan.
Bekerja dengan Drawable
Pelajari cara membuat drawable vektor dan cara mewarnai sumber daya drawable.
Mendefinisikan Animasi Custom
Pelajari cara membuat animasi custom untuk tampilan dan transisi aktivitas dengan elemen bersama.
Mempertahankan Kompatibilitas
Pelajari cara mempertahankan kompatibilitas dengan versi platform sebelum Android 5.0.
This site uses cookies to store your preferences for site-specific language and display options.

Get the latest Android developer news and tips that will help you find success on Google Play.

* Required Fields

Hooray!

Ikuti Google Developers di WeChat

Browse this site in ?

You requested a page in , but your language preference for this site is .

Would you like to change your language preference and browse this site in ? If you want to change your language preference later, use the language menu at the bottom of each page.

This class requires API level or higher

This doc is hidden because your selected API level for the documentation is . You can change the documentation API level with the selector above the left navigation.

For more information about specifying the API level your app requires, read Supporting Different Platform Versions.

Take a short survey?
Help us improve the Android developer experience. (Dec 2017 Android Platform & Tools Survey)